﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<div class="input-wrap">
<div class="row">
    <div class="three columns">
        PC No <font color="red">*</font>
    </div>
    <div class="three columns">
    @Html.DevExpress().TextBox(
        e =>
        {
            e.Name = "InPCNo";
            e.Width = Unit.Pixel(150);
            e.Properties.MaxLength = 21;
            e.Properties.ClientInstanceName = "InPCNo";
            e.ReadOnly = true;
        }).GetHtml()
    </div>
</div>
<div class="row">
    <div class="sel three columns">
        PC Date <font color="red">*</font>
    </div>
    <div class="sel three columns">
    @Html.DevExpress().DateEdit(
        e =>
        {
            e.Name = "InPCDate";
                        
            e.Width = 100;
            e.Height = 25;
            e.Properties.ClientInstanceName = "InPCDate";
            e.Properties.DisplayFormatString = "dd.MM.yyyy";
            e.Properties.EditFormatString = "dd.MM.yyyy";                        

            e.Date = DateTime.Now.AddMonths(-6);
            e.Properties.ClientSideEvents.ValueChanged = "InPCDateChanged";
                
        }).GetHtml()
    </div>
</div>
<div class="row">
    <div class="sel three columns">
        Supplier Code <font color="red">*</font>
    </div>
    <div class="sel three columns">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "InSupplierLookup";
                    gridLookup.Width = Unit.Pixel(100);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PriceConfirmation", Action = "PartialSupplierLookupGrid" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridSupplier"]).GetHtml()
    
    </div>
</div>
<div class="row">
    <div class="sel three columns">
        Effective Date <font color="red">*</font>
    </div>
    <div class="sel three columns">
     @Html.DevExpress().DateEdit(
        e =>
        {
           
            e.Name = "InEffectiveDate";
            e.Width = 100;
            e.Height = 25;
            //e.Properties.EditFormat = EditFormat.Custom;
            
            e.Properties.ClientInstanceName = "InEffectiveDate";
            e.Properties.DisplayFormatString = "dd.MM.yyyy";
            e.Properties.EditFormatString = "dd.MM.yyyy";
            e.Properties.ClientSideEvents.ValueChanged = "InEffectiveDateChanged";
            //e.Properties.ClientSideEvents.Init = "OnEffectiveDateInit";
            //e.Properties.ClientSideEvents.DropDown = "OnEffectiveDateDropdown";
                
        }).GetHtml()
       
    </div>
</div>
<div class="row">
    <div class="sel three columns">
        Category <font color="red">*</font>
    </div>
    <div class="sel three columns">
      @Html.DevExpress().ComboBox(
        comboBox =>
        {
            comboBox.Name = "InCategory";
            comboBox.Properties.ClientInstanceName = "InCategory";
            comboBox.Properties.ClientSideEvents.ValueChanged = "InCategoryChanged";
            comboBox.Properties.ValueField = "Val";
            comboBox.Properties.TextField = "Val"; 
            comboBox.SelectedIndex = -1;
            comboBox.Width = Unit.Pixel(108);
        }).BindList(ViewData["CategoryCombo"]).GetHtml()
    </div>
</div>
<div class="row">
    <div class="sel three columns">
        Cover Letter <font color="red">*</font>
    </div>
</div>
<div class="row">
    <div class="sel twelve columns">    
        @Html.DevExpress().Memo(m =>
        {
            m.Height = Unit.Point(80);
            m.Name = "InCoverLetter";
            m.Properties.Rows = 5;
            m.Properties.Columns = 80;
            m.Width = Unit.Percentage(100);
            
            m.Properties.ClientInstanceName = "InCoverLetter";
        }).GetHtml()
    </div>
</div>
</div>
<br />
<div class="row input-wrap">
<div class="two offset-by-eight columns align-right">
 @Html.DevExpress().Button(
    btnSettings =>
    {
        btnSettings.Name = "btnSave";
        btnSettings.ControlStyle.CssClass = "button";
        btnSettings.Text = "Save";
        btnSettings.Width = 80;
        btnSettings.UseSubmitBehavior = true;
        btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
    }
).GetHtml()
</div>
<div class="two columns align-right">
@Html.DevExpress().Button(
    btnSettings =>
    {
        btnSettings.Name = "btnCancelNew";
        btnSettings.ControlStyle.CssClass = "button";
        btnSettings.Text = "Cancel";
        btnSettings.Width = 80;
        btnSettings.ClientSideEvents.Click = "CancelAddNew";
    }
).GetHtml()
</div>
</div>
